cocoaPods 最新安装方式

2016-10-22 22:18:37来源:CSDN作者:u012852597人点击

第七城市

1.查看ruby是否是最新的ruby是通过rvm安装的所以需要先安装rvm后查看ruby是否是最新的(通过查看ruby版本列表来判断),在终端需要中输入以下命令:
1.1 安装RVM.RVM:Ruby Version Manager,Ruby版本管理器,包括Ruby的版本管理和Gem库管理(gemset)

curl -L get.rvm.io | bash -s stable

这里写图片描述

过一段时间后就可以成功安装好 RVM:

source ~/.bashrcsource ~/.bash_profile

测试是否安装正常:

rvm -v

1.2 用RVM升级Ruby
查看当前ruby版本

$ ruby -v

当前版本:ruby 2.0.0p648

这里写图片描述

列出已知的ruby版本 –找到最新的版本安装

$ rvm list known

安装ruby 2.2.2

$ rvm install 2.2.2(这个根据自己的列表而定)

这里写图片描述

根据提示,按”Enter”键,继续安装,成功之后:

这里写图片描述
这里写图片描述

2.更换Ruby镜像--淘宝的那个镜像(https://ruby.taobao.org/ )已经不可用了。官方的需要FQ。所以我们现在用最新支持的ruby镜像(https://gems.ruby-china.org/)
执行以下命令:

gem sources --remove https://rubygems.org/gem sources -a https://gems.ruby-china.org/gem sources -l (用来检查使用替换镜像位置成功)

3.在终端中输入:

sudo gem install cocoa pods

4.过一段时间你有可能会看到以下信息:

Setting up CocoaPods master repo
[!] /usr/bin/git clone ‘https://github.com/CocoaPods/Specs.git’ master –depth=1
Cloning into ‘master’…
error: RPC failed; result=52, HTTP code = 0
fatal: The remote end hung up unexpectedly

5.出现以上红色的原因是明某些环境原因导致pod更新不了,可能原因有,(1)gem版本太低;(2)github无法链接;(3)cocoapods目录下的配置信息错误。我们可以一个一个来排除:

5.1 首先更新gem到最新版本,在终端中输入:

$ sudo gem update --system

5.2 然后检查是否可以ping通github,在终端中输入:

$ ping www.github.com

5.3 然后查看pob repo list:

$ pod repo list

结果显示 0 repos,说明没有安装成功

5.4 删除.cocoapods目录,重新下载pod更新:

cd ~/.cocoapods/$ sudo -rm -rf ~/.cocoapods/

5.5执行:

pod setup //这个过程很漫长,需要耐心等待,可以小睡一会哟

6.安装成功后,显示:Setup compeleted:

这里写图片描述

第七城市

最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台